package com.mortals.xhx.module.record.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.record.model.vo.RecordVo;
/**
* 证照申请实体对象
*
* @author zxfei
* @date 2022-11-04
*/

public class RecordEntity extends RecordVo {
    private static final long serialVersionUID = 1L;

    /**
    * 证照目录ID
    */
    private Long catalogId;
    /**
    * 目录名称
    */
    private String catalogName;
    /**
    * 目录编号
    */
    private String catalogCode;
    /**
    * 档案状态
    */
    private Integer recordStatus;



    public RecordEntity(){}
    /**
    * 获取 证照目录ID
    * @return Long
    */
    public Long getCatalogId(){
        return catalogId;
    }
    /**
    * 设置 证照目录ID
    * @param catalogId
    */
    public void setCatalogId(Long catalogId){
        this.catalogId = catalogId;
    }
    /**
    * 获取 目录名称
    * @return String
    */
    public String getCatalogName(){
        return catalogName;
    }
    /**
    * 设置 目录名称
    * @param catalogName
    */
    public void setCatalogName(String catalogName){
        this.catalogName = catalogName;
    }
    /**
    * 获取 目录编号
    * @return String
    */
    public String getCatalogCode(){
        return catalogCode;
    }
    /**
    * 设置 目录编号
    * @param catalogCode
    */
    public void setCatalogCode(String catalogCode){
        this.catalogCode = catalogCode;
    }
    /**
    * 获取 档案状态
    * @return Integer
    */
    public Integer getRecordStatus(){
        return recordStatus;
    }
    /**
    * 设置 档案状态
    * @param recordStatus
    */
    public void setRecordStatus(Integer recordStatus){
        this.recordStatus = recordStatus;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RecordEntity) {
            RecordEntity tmp = (RecordEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",catalogId:").append(getCatalogId());
        sb.append(",catalogName:").append(getCatalogName());
        sb.append(",catalogCode:").append(getCatalogCode());
        sb.append(",recordStatus:").append(getRecordStatus());
        return sb.toString();
    }

    public void initAttrValue(){

            this.catalogId = null;

            this.catalogName = "";

            this.catalogCode = "";

            this.recordStatus = 1;
    }
}