package com.mortals.xhx.module.print.service;
import com.mortals.framework.exception.AppException;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.print.model.PrintCatalogEntity;
/**
* PrintCatalogService
*
* 证照目录打印配置 service接口
*
* @author zxfei
* @date 2022-11-21
*/
public interface PrintCatalogService extends ICRUDService<PrintCatalogEntity,Long>{

    /**
     * 根据打印服务id和目录id获取打印相关配置
     * @param serviceId
     * @param catalogId
     * @return
     */
    PrintCatalogEntity getPrintCatalogByService(Long serviceId,Long catalogId) throws AppException;
}