package com.mortals.xhx.feign.device.pdu;

import lombok.Data;

import java.util.List;

@Data
public class DevicePdu {
    private List<Long> idList;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 设备编码,SN码等，默认为MAC地址
     */
    private String deviceCode;
    /**
     * 设备的MAC地址
     */
    private String deviceMac;
    /**
     * 站点Id，来源基础服务平台
     */
    private Long siteId;
    private Integer page;
    private Integer size;
}
